# sf::Style Namespace Reference

Enumeration of window creation styles. More...

## Enumerations

enum | { None = 0, Titlebar = 1 << 0, Resize = 1 << 1, Close = 1 << 2, Fullscreen = 1 << 3 }

## Detailed Description

Enumeration of window creation styles.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  None | No border / title bar (this flag and all others are mutually exclusive).
  Titlebar | Title bar + fixed border.
  Resize | Titlebar + resizable border + maximize button.
  Close | Titlebar + close button.
  Fullscreen | Fullscreen mode (this flag and all others are mutually exclusive).

Definition at line 37 of file WindowStyle.hpp.